# FlickrCollage

This gem creates collage from 10 top-rated Flickr images for your keywords.
It's a part of coding challenge and it's fun.

![](doc/flickrCollage.jpg)

## Installation

There are two ways of installing gem:

- Just for collage creating

```bash
$ gem install https://github.com/CrCs2O4/FlickrCollage.git

# see help
$ flickrCollage -h

```

- Clone and install dependencies

```bash
$ git clone https://github.com/CrCs2O4/FlickrCollage.git
$ cd FlickrCollage
$ bundle exec bin/setup

# build and install gem
$ gem build ./FlickrCollage.gemspec
$ gem install ./FlickrCollage-0.1.0.gem

# see help
$ bundle exec bin/FlickrCollage -h

# run tests
$ bundle exec rake

```

## Usage

```bash
$ flickrCollage city cityscape skyline architecture building skyscraper dawn twilight business finance

# use some random keywords from dictionary
$ flickrCollage city cityscape skyline

# set collage filename
$ flickrCollage city cityscape skyline -f my_awesome_collage

# set working path
$ flickrCollage city cityscape skyline -p ~/Pictures/

# view debug info
$ flickrCollage city cityscape skyline --log-level=debug

$ flickrCollage -h

Usage: FlickrCollage [options] [keywords]

Create collage from 10 top-rated Flickr images for your keywords

v0.1.0

Options:
    -h, --help                       Show command line help
        --api_key api_key            Flickr api-key
        --shared_secret shared_secretFlickr shared-secret
    -w, --width width                Set image width for crop
    -e, --height height              Set image height for crop
    -p, --path path                  Path for collage
    -f, --file file                  Filename for collage
    -s, --save                       Don't delete downloaded images
        --version                    Show help/version info
        --log-level LEVEL            Set the logging level
                                     (debug|info|warn|error|fatal)
                                     (Default: info)

Arguments:

    keywords
        Your keywords for Flickr images (optional)
        
```

## Development

After checking out the repo, run `bundle exec bin/setup` to install dependencies. You can also run `bundle exec bin/console` for an interactive prompt that will allow you to experiment.

To run app just type `bundle exec bin/FlickrCollage`

To run test `bundle exec rake`

To view docs `yard doc`

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/CrCs2O4/FlickrCollage

